Subject: Re: bug#70764: 29.1; M-x gdb: don't ask me about debuginfod server if debuginfod is not in context

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 May 2024 17:11:52 +0300

> Date: Sat, 4 May 2024 15:32:27 +0200
> From: Rolf Ade <[email-masked]>
> 
> >> Even if I answer with "n" I get the message:
> >>
> >> "No symbol \"debuginfod\" in current context."
> > 
> > I think this means your GDB is too old and doesn't support debug info
> > downloading, or was built without that support.  We don't know how to
> > know in advance that this is not supported, thus the user option that
> > you can customize to avoid these questions if your GDB cannot use
> > debuginfod.
> 
> I don't know if my gdb support debug info downloading (see exact version info 
> below) but if I answer the question with "n" - I don't want to enable this - I 
> wonder why I'm (only mildly, of course) bothered with a not very helpful error 
> message.

I don't know.  AFAIR, it was not supposed to happen in Emacs 29.1 and
later.

> > What OS are you using GDB on, and what is your GDB version, please?
> 
> This is basically a GNU/linux debian 11.9 (so, not that old). More specifically, 
> uname -a:
> 
> Linux pointsman2 5.10.0-28-amd64 #1 SMP Debian 5.10.209-2 (2024-01-31) x86_64 
> GNU/Linux
> 
> gdb --version (it's the version installed by the debian package management system):
> 
> GNU gdb (Debian 10.1-1.7) 10.1.90.20210103-git

Strange.  GDB 10.1 was the version where debuginfod support was added.
What does the shell command below show?

  $ gdb --config | fgrep debuginfod